Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface ActsFor

All Superinterfaces:
  java.lang.Cloneable, polyglot.ast.CompoundStmt, polyglot.util.Copy, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term

All Known Implementing Classes:
  ActsFor_c

    public interface ActsFor

extends polyglot.ast.CompoundStmt

An immutable representation of a Jif `actsFor` statement. Grammer: `actsFor(actor, granter) statement [else statement]`

Nested Class Summary
`static class` | `ActsFor.Kind`

Field Summary
`static ActsFor.Kind` | `ACTSFOR`
`static ActsFor.Kind` | `EQUIV`

Method Summary
`PrincipalNode` | `actor()` Gets the actor.
`ActsFor` | `actor(PrincipalNode actor)` Makes a copy node and sets the actor of the copy.
`polyglot.ast.Stmt` | `alternative()` Gets the alternative statement.
`ActsFor` | `alternative(polyglot.ast.Stmt alternative)` Makes a copy of this node and sets the alternative statement of the copy.
`polyglot.ast.Stmt` | `consequent()` Gets the consequent statement.
`ActsFor` | `consequent(polyglot.ast.Stmt consequent)` Makes a copy of this node and sets the consequent statement of the copy.
`PrincipalNode` | `granter()` Gets the granter.
`ActsFor` | `granter(PrincipalNode granter)` Makes a copy of this node and sets the granter of the copy.
`ActsFor.Kind` | `kind()` Gets the kind.

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### ACTSFOR

    static final ActsFor.Kind ACTSFOR

### EQUIV

    static final ActsFor.Kind EQUIV

Method Detail

### kind

    ActsFor.Kind kind()

  Gets the kind.

### actor

    PrincipalNode actor()

  Gets the actor.

### actor

    ActsFor actor(PrincipalNode actor)

  Makes a copy node and sets the actor of the copy.

### granter

    PrincipalNode granter()

  Gets the granter.

### granter

    ActsFor granter(PrincipalNode granter)

  Makes a copy of this node and sets the granter of the copy.

### consequent

    polyglot.ast.Stmt consequent()

  Gets the consequent statement.

### consequent

    ActsFor consequent(polyglot.ast.Stmt consequent)

  Makes a copy of this node and sets the consequent statement of the copy.

### alternative

    polyglot.ast.Stmt alternative()

  Gets the alternative statement.

### alternative

    ActsFor alternative(polyglot.ast.Stmt alternative)

  Makes a copy of this node and sets the alternative statement of the copy.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD